サーバー要件

これらは Craft を正常にインストールし、適切に動作させるための要件です。

サーバーの確認

Craft をインストールする前に、サーバーが要件を満たしているか調べることは重要です。以下の要件を再確認してください。または、要件を満たすかどうかを素早くチェックできる Craft Server Check スクリプトを使ってください。

サーバー担当ではありませんか?このページのリンクをサーバー管理者に送ってください。

サーバー要件

Craft は次の項目が必要です。

  • PHP 7.0 以降
  • with InnoDB の MySQL 5.5 以降(または、MariaDB 5.5 以降)、 または、PostgreSQL 9.5 以降
  • ウェブサーバー(Apache、Nginx、IIS)
  • 少なくとも 256MB の PHP 割当メモリ
  • 少なくとも 200MB の空きディスク容量

必要な PHP エクステンション

Craft は次の PHP エクステンションが必要です。

オプションの PHP エクステンション

オプションの PHP メソッドと設定

一部の共用ホスティング環境では、Craft の機能に影響を与える PHP メソッドや設定が無効になっています。

  • allow_url_fopen - アップデートやプラグインストアからのプラグインインストールを可能にするため、Craft では PHP 設定を有効にする必要があります。
  • proc_* - プラグインストアを利用したり、メールの送信ができるよう PHP の proc_ メソッドを有効にする必要があります。

必要なデータベースユーザー特権

Craft のデータベースに接続するユーザーには、次の特権がなければなりません。

MySQL, MariaDB

  • SELECT
  • INSERT
  • DELETE
  • UPDATE
  • CREATE
  • ALTER
  • INDEX
  • DROP
  • REFERENCES
  • LOCK TABLES

PostgreSQL

  • SELECT
  • INSERT
  • UPDATE
  • CREATE
  • DELETE
  • REFERENCES
  • CONNECT

CP のブラウザ要件

Craft のコントロールパネルは、モダンブラウザが必要です。

Windows と macOS

  • Chrome 29 以降
  • Firefox 28 以降
  • Safari 9.0 以降
  • Microsoft Edge

モバイル

  • iOS: Safari 9.1 以降
  • Android: Chrome 4.4 以降

メモ:Craft の CP のブラウザ要件は、実際のウェブサイトとは関係がありません。もしあなたがつらい仕事を苦にせず、IE 6 で完璧に表示されるサイトを望むのであれば、あたなの望む通りにできます。